Outdated search result

(Yuri Gor) #1

What I Wanted to Do

I expect to see the most recent version/last published date for deepdash package in the search result.

What Happened Instead

I see old v3.1.3 published a month ago instead of v4.2.5 published a few days ago.

Reproduction Steps

just do a search for “deepdash”:
https://www.npmjs.com/search?q=deepdash

You will see the main CJS package with outdated info and ESM version “deepdash-es” with correct version and publish date.

Details

I suspect this issue is related to the fact of existing of multiple package.json files in the GitHub repo.
Sources of the library are splitted as ES modules and stored in the es/ directory, there is also es/package.json file to publish sources as is under deepdash-es name.
And the main package deepdash is published with CJS files built by rollup.
So, possibly, the search engine sees GitHub repo was indexed once for deepdash-es package and skip second re-indexing for deepdash package.

Platform Info

It’s npmjs/npms bug
I posted an issue:


but there is still no reaction. So I hope to trigger some attention here. Or maybe somebody will recommend a workaround.

Searching for a package name starting with 'raf' does not find any package
(Gabriele Lauricella) #2

I’m also having problems with the search results with these packages:

(Gabriele Lauricella) #3

I saw now that there is an accident open on npm status site
Details here
Probably we are in those packages that have problems :frowning:

1 Like
(Yuri Gor) #4

Good to hear someone cares at least